﻿using Windows.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 샘플 컴팩트 크기 페이지
    /// </summary>
    public sealed partial class SampleCompactSizingPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 이름 - FirstName

        /// <summary>
        /// 이름
        /// </summary>
        public TextBox FirstName => this.firstNameTextBox;

        #endregion
        #region 성 - LastName

        /// <summary>
        /// 성
        /// </summary>
        public TextBox LastName => this.lastNameTextBox;

        #endregion
        #region 패스워드 - Password

        /// <summary>
        /// 패스워드
        /// </summary>
        public PasswordBox Password => this.passwordPasswordBox;

        #endregion
        #region 패스워드 확인 - ConfirmPassword

        /// <summary>
        /// 패스워드 확인
        /// </summary>
        public PasswordBox ConfirmPassword => this.confirmPasswordPasswordBox;

        #endregion
        #region 선택 날짜 - ChosenDate

        /// <summary>
        /// 선택 날짜
        /// </summary>
        public DatePicker ChosenDate => this.chosenDatePicker;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - SampleCompactSizingPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public SampleCompactSizingPage()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 상태 복사하기 - CopyState(page)

        /// <summary>
        /// 상태 복사하기
        /// </summary>
        /// <param name="page">샘플 표준 크기 페이지</param>
        public void CopyState(SampleStandardSizingPage page)
        {
            FirstName.Text           = page.FirstName.Text;
            LastName.Text            = page.LastName.Text;
            Password.Password        = page.Password.Password;
            ConfirmPassword.Password = page.ConfirmPassword.Password;
            ChosenDate.Date          = page.ChosenDate.Date;
        }

        #endregion
    }
}